/**
 * Copyright 2012 OW2 Shelbie
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.shelbie.core.internal.converter;

import org.apache.felix.service.command.Converter;
import org.mockito.Mock;
import org.osgi.framework.BundleContext;
import org.osgi.framework.ServiceReference;
import org.testng.annotations.BeforeMethod;
import org.testng.annotations.Test;

import static org.mockito.Mockito.when;
import static org.mockito.MockitoAnnotations.initMocks;
import static org.testng.Assert.assertNotNull;

/**
 * Created by IntelliJ IDEA.
 * User: guillaume
 * Date: 08/03/12
 * Time: 22:59
 * To change this template use File | Settings | File Templates.
 */
public class ServiceReferenceConverterTestCase {

    private Converter converter;

    @Mock
    private BundleContext bundleContext;

    @Mock
    private ServiceReference reference;

    @BeforeMethod
    public void setUp() throws Exception {
        initMocks(this);
        converter = new ServiceReferenceConverter(bundleContext);
    }

    @Test
    public void testConvertWithServicePid() throws Exception {
        when(bundleContext.getServiceReferences(null, "(|(service.id=42)(service.pid=42))"))
                .thenReturn(new ServiceReference[]{reference});
        ServiceReference ref = (ServiceReference) converter.convert(ServiceReference.class, "42");
        assertNotNull(ref);
    }

    @Test
    public void testConvertWithFilter() throws Exception {
        when(bundleContext.getServiceReferences(null, "(service.pid=42)"))
                .thenReturn(new ServiceReference[]{reference});
        ServiceReference ref = (ServiceReference) converter.convert(ServiceReference.class, "(service.pid=42)");
        assertNotNull(ref);
    }

}
